Commit 45e115f2 authored by Lionel Landwerlin's avatar Lionel Landwerlin

tests: intel_blackhole_render: use GLSL ES 1.0 on ES profiles

Not all of our platforms support GLSL ES 3.0 so extend the coverage by
lowering the GLSL requirements.
Signed-off-by: Lionel Landwerlin's avatarLionel Landwerlin <lionel.g.landwerlin@intel.com>
Reviewed-by: Tapani Pälli's avatarTapani Pälli <tapani.palli@intel.com>
parent 67ab71d3
......@@ -54,24 +54,23 @@ piglit_display(void)
prog = piglit_build_simple_program(
#if defined(PIGLIT_USE_OPENGL)
"#version 330\n"
"in vec4 piglit_vertex;\n"
#elif defined(PIGLIT_USE_OPENGL_ES2) || defined(PIGLIT_USE_OPENGL_ES3)
"#version 300 es\n"
"#version 100\n"
"attribute vec4 piglit_vertex;\n"
#endif
"in vec4 piglit_vertex;\n"
"void main()\n"
"{\n"
" gl_Position = piglit_vertex;\n"
"}\n",
#if defined(PIGLIT_USE_OPENGL)
"#version 330\n"
"out vec4 color;\n"
#elif defined(PIGLIT_USE_OPENGL_ES2) || defined(PIGLIT_USE_OPENGL_ES3)
"#version 300 es\n"
"out highp vec4 color;\n"
"#version 100\n"
#endif
"void main()\n"
"{\n"
" color = vec4(1.0, 0.0, 0.0, 1.0);\n"
" gl_FragColor = vec4(1.0, 0.0, 0.0, 1.0);\n"
"}\n");
if (!prog)
piglit_report_result(PIGLIT_FAIL);
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment